post
https://api.cpo.uat.emobility.internal.dev.solidstudio.io/api/v1/charging-pools/rsql-list
Filter the list using an RSQL expression passed in the request body as { "filter": "..." }.
Combine multiple conditions with and / or and group them with ( ).
Omit the filter field (or send an empty string) to return all records.
Available fields
| Field | Operators | Accepted values |
|---|---|---|
id | == != =in= =out= =is= =isnot= | — |
createdAt | == != =in= =out= =gt= =gte= =lt= =lte= =between= =notbetween= =is= =isnot= | — |
updatedAt | == != =in= =out= =gt= =gte= =lt= =lte= =between= =notbetween= =is= =isnot= | — |
name | == != =in= =out= =contains= =notcontains= =starts= =notstarts= =ends= =notends= =is= =isnot= | — |
address | == != =in= =out= =contains= =notcontains= =starts= =notstarts= =ends= =notends= =is= =isnot= | — |
city | == != =in= =out= =contains= =notcontains= =starts= =notstarts= =ends= =notends= =is= =isnot= | — |
postalCode | == != =in= =out= =contains= =notcontains= =starts= =notstarts= =ends= =notends= =is= =isnot= | — |
country | == != =in= =out= =contains= =notcontains= =starts= =notstarts= =ends= =notends= =is= =isnot= | — |
tags | =anyin= =allin= | — |
facilities | =anyin= =allin= | — |
type | == != =in= =out= =is= =isnot= | ON_STREET, PARKING_GARAGE, UNDERGROUND_GARAGE, PARKING_LOT, OTHER, UNKNOWN |
externalId (nullable) | == != =in= =out= =contains= =notcontains= =starts= =notstarts= =ends= =notends= =is= =isnot= | — |
externalReferences.system | == | — |
externalReferences.references.key | == | — |
externalReferences.references.value | == | — |
longitude | == != =in= =out= =gt= =gte= =lt= =lte= =between= =notbetween= =is= =isnot= | — |
latitude | == != =in= =out= =gt= =gte= =lt= =lte= =between= =notbetween= =is= =isnot= | — |
timeZone | == != =in= =out= =is= =isnot= | — |
num_pdl (nullable) | == != =in= =out= =contains= =notcontains= =starts= =notstarts= =ends= =notends= =is= =isnot= | — |
inseeCode (nullable) | == != =in= =out= =contains= =notcontains= =starts= =notstarts= =ends= =notends= =is= =isnot= | — |
locationCode (nullable) | == != =in= =out= =contains= =notcontains= =starts= =notstarts= =ends= =notends= =is= =isnot= | — |
owner (nullable) | == != =in= =out= =contains= =notcontains= =starts= =notstarts= =ends= =notends= =is= =isnot= | — |
afirService (nullable) | == != =is= =isnot= | — |
nuts1 (nullable) | == != =in= =out= =contains= =notcontains= =starts= =notstarts= =ends= =notends= =is= =isnot= | — |
helpdeskPhone (nullable) | == != =in= =out= =contains= =notcontains= =starts= =notstarts= =ends= =notends= =is= =isnot= | — |
businessStatus | == != =in= =out= =is= =isnot= | PLANNED, IN_OPERATION, INACTIVE, DECOMMISSIONED |
status | == != =in= =out= | FULLY_OPERATIONAL, PARTIALLY_OPERATIONAL, PLANNED, OFFLINE |
cpoOperator.id | == != =in= =out= =is= =isnot= | — |
cpoOperator.name | == != =in= =out= =contains= =notcontains= =starts= =notstarts= =ends= =notends= =is= =isnot= | — |
chargingPoolGroups.id | == != =in= =out= =is= =isnot= | — |
chargingPoolGroups.name | == != =in= =out= =contains= =notcontains= =starts= =notstarts= =ends= =notends= =is= =isnot= | — |
chargingStations.id | == != =in= =out= =is= =isnot= | — |
chargingStations.status | == != =in= =out= =is= =isnot= | ONLINE, OFFLINE |
chargingStations.visibilityMode | == != =in= =out= =is= =isnot= | PUBLIC, PRIVATE |
chargingStations.ocppChargingStationId | == != =in= =out= =contains= =notcontains= =starts= =notstarts= =ends= =notends= =is= =isnot= | — |
chargingStations.internalSerialNumber (nullable) | == != =in= =out= =contains= =notcontains= =starts= =notstarts= =ends= =notends= =is= =isnot= | — |
chargingStations.ipAddress | == != =in= =out= =contains= =notcontains= =starts= =notstarts= =ends= =notends= =is= =isnot= | — |
chargingStations.configuredPowerKW (nullable) | == != =in= =out= =gt= =gte= =lt= =lte= =between= =notbetween= =is= =isnot= | — |
chargingStations.tags | =anyin= =allin= | — |
chargingStations.activeAlert | == != =in= =out= =is= =isnot= | CRITICAL, WARNING |
chargingStations.floorLevel (nullable) | == != =in= =out= =contains= =notcontains= =starts= =notstarts= =ends= =notends= =is= =isnot= | — |
chargingStations.ocppConfigApplied | == != | — |
chargingStations.ocppVersionMismatch | == != | — |
chargingStations.fetchConfigurationOnBoot | == != | — |
chargingStations.validateConfiguration | == != | — |
chargingStations.applyConfigurationOnMismatchDetected | == != | — |
chargingStations.externalDeepLinkUrl (nullable) | == != =in= =out= =contains= =notcontains= =starts= =notstarts= =ends= =notends= =is= =isnot= | — |
chargingStations.getConfigurationCronIntervalHours (nullable) | == != =in= =out= =gt= =gte= =lt= =lte= =between= =notbetween= =is= =isnot= | — |
chargingStations.requirePayterTerminalOnChargingPoints | == != | — |
chargingStations.ocppVersionMismatchDismissedByUserId (nullable) | == != | — |
Examples
name =contains= 'Paris'country =in= ('FR','DE') and type == 'PARKING_LOT'tags =anyin= ('fast-charging','highway')chargingStations.status == 'ONLINE'chargingStations.ocppChargingStationId =starts= 'CP-'Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…